package dev.fyloz.musicplayer.core.model

/**
 * A generic track.
 */
abstract class Track {
    /** The id of the track in the local system. **/
    abstract val id: String

    /** The id of the track in the remote service. **/
    abstract val trackId: String

    /** The name of the track. **/
    abstract val name: String
}
